CREATE TABLE BJEELOGMESSAGES (
		JOBID VARCHAR(50) NOT NULL,
		MSGSEQ INTEGER NOT NULL,
		MSGTXT VARCHAR(250)
	)
	AUDIT NONE
	DATA CAPTURE NONE 
	CCSID EBCDIC;

CREATE TABLE LOCALJOBSTATUS (
		BJEENAME VARCHAR(50) NOT NULL,
		JOBID VARCHAR(50) NOT NULL,
		STATUS INTEGER NOT NULL,
		RC INTEGER NOT NULL,
		UPDATECOUNT INTEGER NOT NULL,
		LASTUPDATE VARCHAR(250),
		STATUSTXT VARCHAR(250),
		CURRENTSTEP VARCHAR(250),
		SUSPENDEDUNTIL VARCHAR(250)
	)
	AUDIT NONE
	DATA CAPTURE NONE 
	CCSID EBCDIC;

CREATE TABLE ABSTRACTRESOURCE (
		JOBID VARCHAR(50) NOT NULL,
		NAME VARCHAR(50) NOT NULL,
		TYPE1 VARCHAR(250),
		STRINGVALUE VARCHAR(250),
		INTEGERVALUE INTEGER
	)
	AUDIT NONE
	DATA CAPTURE NONE 
	CCSID EBCDIC;

CREATE TABLE CKPTREPOSITORY (
		JOBID VARCHAR(50) NOT NULL,
		BDSNAME VARCHAR(50) NOT NULL,
		RESTARTTOKEN VARCHAR(2000),
		STEPNAME VARCHAR(50) NOT NULL,
		STEPNAME1 VARCHAR(50) NOT NULL
	)
	AUDIT NONE
	DATA CAPTURE NONE 
	CCSID EBCDIC;

CREATE TABLE JOBSTEPSTATUS (
		JOBID VARCHAR(50) NOT NULL,
		STEPNAME VARCHAR(50) NOT NULL,
		RC INTEGER NOT NULL,
		STEPSTATUS INTEGER NOT NULL
	)
	AUDIT NONE
	DATA CAPTURE NONE 
	CCSID EBCDIC;

CREATE TABLE JOBRESULTS (
		JOBID VARCHAR(50) NOT NULL,
		RC INTEGER NOT NULL,
		INITIALIZED SMALLINT NOT NULL
	)
	AUDIT NONE
	DATA CAPTURE NONE 
	CCSID EBCDIC;

CREATE TABLE POJOSTEP (
		JOBID VARCHAR(50) NOT NULL,
		STEPID VARCHAR(50) NOT NULL
	)
	AUDIT NONE
	DATA CAPTURE NONE 
	CCSID EBCDIC;

CREATE UNIQUE INDEX PK_BJEELOGMESSAGES ON BJEELOGMESSAGES (MSGSEQ, JOBID);

CREATE UNIQUE INDEX PK_LOCALJOBSTATUS ON LOCALJOBSTATUS (BJEENAME, JOBID);

CREATE UNIQUE INDEX PK_ABSTRACTRESOUR1 ON ABSTRACTRESOURCE (JOBID, NAME);

CREATE UNIQUE INDEX PK_CHECKPOINTREPO3 ON CKPTREPOSITORY (JOBID, STEPNAME1, BDSNAME, STEPNAME);

CREATE UNIQUE INDEX PK_JOBSTEPSTATUS ON JOBSTEPSTATUS (JOBID, STEPNAME);

CREATE UNIQUE INDEX PK_JOBRESULTS ON JOBRESULTS (JOBID);

CREATE UNIQUE INDEX PK_POJOSTEP ON POJOSTEP (JOBID, STEPID);

ALTER TABLE BJEELOGMESSAGES ADD CONSTRAINT PK_BJEELOGMESSAGES PRIMARY KEY (MSGSEQ, JOBID);

ALTER TABLE LOCALJOBSTATUS ADD CONSTRAINT PK_LOCALJOBSTATUS PRIMARY KEY (BJEENAME, JOBID);

ALTER TABLE ABSTRACTRESOURCE ADD CONSTRAINT PK_ABSTRACTRESOUR1 PRIMARY KEY (JOBID, NAME);

ALTER TABLE CKPTREPOSITORY ADD CONSTRAINT PK_CHECKPOINTREPO3 PRIMARY KEY (JOBID, STEPNAME1, BDSNAME, STEPNAME);

ALTER TABLE JOBSTEPSTATUS ADD CONSTRAINT PK_JOBSTEPSTATUS PRIMARY KEY (JOBID, STEPNAME);

ALTER TABLE JOBRESULTS ADD CONSTRAINT PK_JOBRESULTS PRIMARY KEY (JOBID);

ALTER TABLE POJOSTEP ADD CONSTRAINT PK_POJOSTEP PRIMARY KEY (JOBID, STEPID);

